Author: Christian Müller Category: Session
Updated: 2012-05-09 Due date:
PHP Version:
Has patch: No
Complexity:
Subject: Have a way to clear all sessions
Description

Related issues:
blocks TYPO3.Flow - Task # 25923: Clean up session files in compile run Resolved 2011-04-12

Associated revisions
Revision 57139411 - 2012-05-08 18:12 - Christian Müller

[FEATURE] Have a way to delete all sessions

Introduces the static method destroyAll to the
SessionInterface and all implementations and so
makes it possible to destroy all session data for a
specific implementation.

Change-Id: I639018febf6c23e2174bca2181577a3198c274c9
Resolves #34817
Releases: 1.1

History
#1 - 2012-03-14 08:43 - Christian Müller
- Target version changed from 1.1 to 1.0.4

#2 - 2012-03-14 08:49 - Christian Müller
- Target version changed from 1.0.4 to 1.1

As the currently proposed change introduces a new method to the SessionInterface I would regard this as breaking change and therefor set the Target
Version to 1.1. Task #25923 which depends on this task is not (yet) updated to the same target version but probably needs to,

#3 - 2012-03-19 11:19 - Karsten Dambekalns
- Category set to Session
- Status changed from Accepted to Under Review

#4 - 2012-03-19 11:19 - Karsten Dambekalns
- Target version changed from 1.1 to 1.0.4

Since #25923 is set to target 1.0, this must go into that as well.
#5 - 2012-03-19 11:33 - Karsten Dambekalns
- Target version changed from 1.0.4 to 1.1

#6 - 2012-05-09 02:39 - Christian Müller
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:57139411256f90e52f5954c5e12ec243ded37849.
